Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010517Dwarf FortressDwarf Mode -- Visitorspublic2018-01-12 22:162018-01-14 00:26
ReporterKvall 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version0.44.04 
Target VersionFixed in Version0.44.05 
Summary0010517: Citizens from other cities enter the map with '<blank> has returned' with no editable labors or petitions
DescriptionAs of 44.04, I've been getting "<blank> (and others) has returned" announcements, where an entourage of complete strangers will enter the map and become immediately assimilated as citizens of the fort, even though they are treated as still citizens of some other civ, and are not considered migrant waves. You can't edit their labours, and they have the same 'G' screen as visitors. They also don't obey the citizen cap as I've had a fort explode to over 275 citizens thanks to these unwanted waves. Is this a feature or is something wrong here? It feels wrong and I don't like these freeloaders.
Steps To Reproduce1. Start a fresh world if you want
2. Wait for any number of '<blank> has returned' announcements despite you never having seen these folk before
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0037595)
Urlance Woolsbane (reporter)
2018-01-12 23:08

It's a result, I'll be bound, of the fix for 0010496
Mercenaries sent on raids would petition for sanctuary upon returning; now it seems that any mercenary who stumbles upon your fortress is treated as a returning soldier.

In my opinion, the bugs will keep piling up until something is done to allow squads to go abroad without being removed from the units roster. Treating them as New Arrivals seems to confuse the game no end.
(0037596)
Dwarfu (manager)
2018-01-13 01:30

Anyone have a save for this?
(0037600)
Kvall (reporter)
2018-01-13 10:45
edited on: 2018-01-13 10:48

here is my current world. There is a farmer and an armorer at least that are considered citizens even though I deny every petition for sanctuary I receive. http://dffd.bay12games.com/file.php?id=13410 [^]

Additionally, the game must not care -who- sent out squads, only that they stumble across your fort and think they're home, because I've never sent out a squad yet in this save and yet they still come.

(0037602)
TomiTapio2 (reporter)
2018-01-13 11:48

OldGenesis Ironhand-tiles 44.04 save with three "buggy" labeled dwarfs: http://dffd.bay12games.com/file.php?id=13412 [^]
(0037604)
lethosor (manager)
2018-01-13 12:46

ZM5's save from http://www.bay12forums.com/smf/index.php?topic=169077.msg7666743#msg7666743 [^] : http://dffd.bay12games.com/file.php?id=13413 [^]
(0037608)
mattvt3 (reporter)
2018-01-13 23:15

Another example (just happened in this save): http://dffd.bay12games.com/file.php?id=13415. [^]

- Issue History
Date Modified Username Field Change
2018-01-12 22:16 Kvall New Issue
2018-01-12 23:08 Urlance Woolsbane Note Added: 0037595
2018-01-13 01:30 Dwarfu Note Added: 0037596
2018-01-13 01:30 Dwarfu Assigned To => Dwarfu
2018-01-13 01:30 Dwarfu Status new => needs feedback
2018-01-13 10:45 Kvall Note Added: 0037600
2018-01-13 10:45 Kvall Status needs feedback => assigned
2018-01-13 10:48 Kvall Note Edited: 0037600 View Revisions
2018-01-13 11:48 TomiTapio2 Note Added: 0037602
2018-01-13 12:46 lethosor Note Added: 0037604
2018-01-13 23:15 mattvt3 Note Added: 0037608
2018-01-14 00:26 Toady One Status assigned => resolved
2018-01-14 00:26 Toady One Fixed in Version => Next Version
2018-01-14 00:26 Toady One Resolution open => fixed
2018-01-14 00:26 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker